﻿using System;
using System.Linq;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{

    protected void Page_PreRender(object sender, EventArgs e)
    {
        for (var i = 1; i < RadMultiPage.PageViews.Count; i++)
        {
            var pageView = RadMultiPage.PageViews[i];
            if (pageView.Controls.Count == 0)
            {
                var control = LoadControl("~/Grid.ascx");
                pageView.Controls.Add(control);
            }
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        Search.Click += new EventHandler(Search_Click);
        RadMultiPage.PageViewCreated += new RadMultiPageEventHandler(RadMultiPage_PageViewCreated);
    }

    void RadMultiPage_PageViewCreated(object sender, RadMultiPageEventArgs e)
    {
        var control = LoadControl("~/Grid.ascx");
        e.PageView.Controls.Add(control);
        ((IBindCriteria)control).BindString = SearchText.Text;
        control.DataBind();
    }

    void Search_Click(object sender, EventArgs e)
    {
        // ensure unique ID's, this is just an example, don't use that in your production code
        var tab = CreateTab();
        CreatePageView(tab);
        SearchText.Text = "";
    }

    RadTab CreateTab()
    {
        var tab = new RadTab() { Text = DateTime.Now.ToString() };
        RadTabStrip1.Tabs.Add(tab);
        return tab;
    }

    void CreatePageView(RadTab tab)
    {
        var pageView = new RadPageView() { ID = "PageView" + RadMultiPage.Controls.Count };
        tab.PageViewID = pageView.ID;
        RadMultiPage.PageViews.Add(pageView);
        
    }

    protected override void OnPreRender(EventArgs e)
    {
        RadMultiPage.DataBind();
        base.OnPreRender(e);
    }
}